{

Fast Memory Manager: Messages

Czech translation by Rene Mihula.

Modifications:
25.04.2005  rm       Added resource strings for FastMM v4.64 compilability
01.03.2007  rm       Corrections of keying mistakes
17.03.2007  rm       Update to version FastMM v4.90
}

unit FastMM4Messages;

interface

{$Include FastMM4Options.inc}

const
  {The name of the debug info support DLL}
  FullDebugModeLibraryName32Bit = 'FastMM_FullDebugMode.dll';
  FullDebugModeLibraryName64Bit = 'FastMM_FullDebugMode64.dll';
  {Event log strings}
  LogFileExtension = '_MemoryManager_EventLog.txt'#0;
  CRLF = #13#10;
  EventSeparator = '--------------------------------';
  {Class name messages}
  UnknownClassNameMsg = 'Neznm tda';
  {Memory dump message}
  MemoryDumpMsg = #13#10#13#10'Vpis prvnch 256 byt pamti, kter zanaj na adrese ';
  {Block Error Messages}
  BlockScanLogHeader = 'Alokovan bloky byly zalogovny pomoc LogAllocatedBlocksToFile. Velikost je: ';
  ErrorMsgHeader = 'FastMM detekoval chyby bhem operace ';
  GetMemMsg = 'GetMem';
  FreeMemMsg = 'FreeMem';
  ReallocMemMsg = 'ReallocMem';
  BlockCheckMsg = 'hledn przdnch blok';
  OperationMsg = ' . ';
  BlockHeaderCorruptedMsg = 'Hlavika bloku byla pokozena. ';
  BlockFooterCorruptedMsg = 'Patika bloku byla pokozena. ';
  FreeModifiedErrorMsg = 'FastMM detekoval modifikaci bloku po jeho uvolnn. ';
  FreeModifiedDetailMsg = #13#10#13#10'Modified byte offsets (and lengths): ';
  DoubleFreeErrorMsg = 'Probhl pokus o uvolnn / realokaci ji uvolnnho bloku.';
  WrongMMFreeErrorMsg = 'An attempt has been made to free/reallocate a block that was allocated through a different FastMM instance. Check your memory manager sharing settings.';
  PreviousBlockSizeMsg = #13#10#13#10'Pedchoz velikost bloku: ';
  CurrentBlockSizeMsg = #13#10#13#10'Velikost bloku: ';
  PreviousObjectClassMsg = #13#10#13#10'Blok byl ji vyuit pro objekt typu: ';
  CurrentObjectClassMsg = #13#10#13#10'Blok je aktuln vyuvn pro objekt typu: ';
  PreviousAllocationGroupMsg = #13#10#13#10'Alokan skupina byla: '; //
  PreviousAllocationNumberMsg = #13#10#13#10'Alokan slo bylo: ';
  CurrentAllocationGroupMsg = #13#10#13#10'Alokan skupina je: ';
  CurrentAllocationNumberMsg = #13#10#13#10'Alokan slo je: ';
  BlockErrorMsgTitle = 'Detekovna chyba prce s pamt';
  VirtualMethodErrorHeader = 'FastMM detekoval pokus o voln virtuln metody ji uvolnnho objektu. Pro ukonen tto operace bude nyn vyhozena vyjmka (access violation).';
  InterfaceErrorHeader = 'FastMM detekoval pokus o pstup k interface ji uvolnnho objektu. Pro ukonen tto operace bude nyn vyhozena vyjmka (access violation).';
  BlockHeaderCorruptedNoHistoryMsg = ' Historie je nedostupn z dvodu pokozen hlaviky bloku.';
  FreedObjectClassMsg = #13#10#13#10'Typ uvolovanho objektu: ';
  VirtualMethodName = #13#10#13#10'Nzev virtuln metody: ';
  VirtualMethodOffset = 'Offset +';
  VirtualMethodAddress = #13#10#13#10'Adresa virtuln metody: ';
  {Stack trace messages}
  CurrentThreadIDMsg = #13#10#13#10'ID aktivnho vlkna (thread ID) je 0x';
  CurrentStackTraceMsg = ' a stav na zsobnku voln (nvratov adresy) je nsledujc:';
  ThreadIDPrevAllocMsg = #13#10#13#10'Tento blok byl ji jednou alokovn vlknem 0x';
  ThreadIDAtAllocMsg = #13#10#13#10'Tento blok byl alokovn vlknem 0x';
  ThreadIDAtFreeMsg = #13#10#13#10'Blok ji byl jednou uvolnn vlknem 0x';
  ThreadIDAtObjectAllocMsg = #13#10#13#10'Objekt byl alokovn vlknem 0x';
  ThreadIDAtObjectFreeMsg = #13#10#13#10'Objekt byl opakovan uvolnn vlknem 0x';
  StackTraceMsg = ' v okamiku, kdy zsobnk voln obsahoval tyto nvratov adresy:';
  {Installation Messages}
  AlreadyInstalledMsg = 'FastMM4 ji byl nainstalovn.';
  AlreadyInstalledTitle = 'Nainstalovno.';
  OtherMMInstalledMsg = 'FastMM4 nemohl bt nainstalovn, protoe jin memory '
    + 'manager (MM tet strany) ji byl nainstalovn.'#13#10'Pro pouit FastMM4 '
    + 'zkontrolujte, zda je unita FastMM4.pas prvn unitou v sekci "uses" tohoto '
    + 'projektu (.dpr soubor).';
  OtherMMInstalledTitle = 'Nelze nainstalovat FastMM4 - Jin memory manager je ji nainstalovn';
  MemoryAllocatedMsg = 'FastMM4 nemohl bt nainstalovn, protoe jin memory '
    + 'manager (standardn MM) ji byl nainstalovn.'#13#10'Pro pouit FastMM4 '
    + 'zkontrolujte, zda je unita FastMM4.pas prvn unitou v sekci "uses" tohoto '
    + 'projektu (.dpr soubor).'#13#10#13#10
    + 'Pokud pouvte njak exception trapper (nap. MadExcept) nebo libovoln '
    + 'jin nstroj, kter modifikuje poad sekc initialization, nakonfigurujte '
    + 'jej tak, aby unita FastMM4.pas byla inicializovna ped vemi ostatnmi unitami.';
  MemoryAllocatedTitle = 'Nelze nainstalovat FastMM4 - Pam ji byla alokovna';
  {Leak checking messages}
  LeakLogHeader = 'Blok pamti zstal neuvolnn. Velikost(i): ';
  LeakMessageHeader = 'Aplikace neuvolnila pouvanou pam. ';
  SmallLeakDetail = 'Bloky mal velikosti'
{$ifdef HideExpectedLeaksRegisteredByPointer}
    + ' (vyjma chyb registrovanch pomoc ukazatel)'
{$endif}
    + ':'#13#10;
  LargeLeakDetail = 'Bloky stedn a velk velikosti'
{$ifdef HideExpectedLeaksRegisteredByPointer}
    + ' (vyjma chyb registrovanch pomoc ukazatel)'
{$endif}
    + ': ';
  BytesMessage = ' byt: ';
  AnsiStringBlockMessage = 'AnsiString';
  UnicodeStringBlockMessage = 'UnicodeString';
  LeakMessageFooter = #13#10
{$ifndef HideMemoryLeakHintMessage}
    + #13#10'Poznmka: '
  {$ifdef RequireIDEPresenceForLeakReporting}
    + 'Kontrola neuvolnn pamti je provdna pouze pokud je prosted Delphi aktivn na tomt systmu. '
  {$endif}
  {$ifdef FullDebugMode}
    {$ifdef LogMemoryLeakDetailToFile}
    + 'Detailn informace o neuvolnn pamti jsou zapsny do textovho souboru v adresi aplikace. '
    {$else}
    + 'Povolenm direktivy "LogMemoryLeakDetailToFile" lze do souboru logu zapsat detailn informace o neuvolnn pamti. '
    {$endif}
  {$else}
    + 'Pro zskn logu s detailnmi informacemi o neuvolnn pamti je poteba povolit direktivy "FullDebugMode" a "LogMemoryLeakDetailToFile". '
  {$endif}
    + 'Vypnutm direktivy "EnableMemoryLeakReporting" lze deaktivovat tuto kontrolu neuvolnn pamti.'#13#10
{$endif}
    + #0;
  LeakMessageTitle = 'Byla detekovna neuvolnn pam (Memory Leak)';
{$ifdef UseOutputDebugString}
  FastMMInstallMsg = 'FastMM byl nataen.';
  FastMMInstallSharedMsg = 'Sdlen existujc instance FastMM.';
  FastMMUninstallMsg = 'FastMM byl odinstalovn.';
  FastMMUninstallSharedMsg = 'Zastaveno sdlen existujc instance FastMM.';
{$endif}
{$ifdef DetectMMOperationsAfterUninstall}
  InvalidOperationTitle = 'Detekce MM voln po odinstalovn FastMM.';
  InvalidGetMemMsg = 'FastMM detekoval voln GetMem, kter probhlo po odinstalaci FastMM.';
  InvalidFreeMemMsg = 'FastMM detekoval voln FreeMem, kter probhlo po odinstalaci FastMM.';
  InvalidReallocMemMsg = 'FastMM detekoval voln ReallocMem, kter probhlo po odinstalaci FastMM.';
  InvalidAllocMemMsg = 'FastMM detekoval voln ReallocMem, kter probhlo po odinstalaci FastMM.';
{$endif}

implementation

end.

